<div class="front_page_section front_page_section_about<?php
	$faith_hope_scheme = faith_hope_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $faith_hope_scheme ) && ! faith_hope_is_inherit( $faith_hope_scheme ) ) {
		echo ' scheme_' . esc_attr( $faith_hope_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( faith_hope_get_theme_option( 'front_page_about_paddings' ) );
	if ( faith_hope_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$faith_hope_css      = '';
		$faith_hope_bg_image = faith_hope_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $faith_hope_bg_image ) ) {
			$faith_hope_css .= 'background-image: url(' . esc_url( faith_hope_get_attachment_url( $faith_hope_bg_image ) ) . ');';
		}
		if ( ! empty( $faith_hope_css ) ) {
			echo ' style="' . esc_attr( $faith_hope_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$faith_hope_anchor_icon = faith_hope_get_theme_option( 'front_page_about_anchor_icon' );
	$faith_hope_anchor_text = faith_hope_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $faith_hope_anchor_icon ) || ! empty( $faith_hope_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $faith_hope_anchor_icon ) ? ' icon="' . esc_attr( $faith_hope_anchor_icon ) . '"' : '' )
									. ( ! empty( $faith_hope_anchor_text ) ? ' title="' . esc_attr( $faith_hope_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( faith_hope_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' faith-hope-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$faith_hope_css           = '';
			$faith_hope_bg_mask       = faith_hope_get_theme_option( 'front_page_about_bg_mask' );
			$faith_hope_bg_color_type = faith_hope_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $faith_hope_bg_color_type ) {
				$faith_hope_bg_color = faith_hope_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $faith_hope_bg_color_type ) {
				$faith_hope_bg_color = faith_hope_get_scheme_color( 'bg_color', $faith_hope_scheme );
			} else {
				$faith_hope_bg_color = '';
			}
			if ( ! empty( $faith_hope_bg_color ) && $faith_hope_bg_mask > 0 ) {
				$faith_hope_css .= 'background-color: ' . esc_attr(
					1 == $faith_hope_bg_mask ? $faith_hope_bg_color : faith_hope_hex2rgba( $faith_hope_bg_color, $faith_hope_bg_mask )
				) . ';';
			}
			if ( ! empty( $faith_hope_css ) ) {
				echo ' style="' . esc_attr( $faith_hope_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$faith_hope_caption = faith_hope_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $faith_hope_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $faith_hope_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $faith_hope_caption, 'faith_hope_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$faith_hope_description = faith_hope_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $faith_hope_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $faith_hope_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $faith_hope_description ), 'faith_hope_kses_content' ); ?></div>
				<?php
			}

			// Content
			$faith_hope_content = faith_hope_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $faith_hope_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $faith_hope_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$faith_hope_page_content_mask = '%%CONTENT%%';
					if ( strpos( $faith_hope_content, $faith_hope_page_content_mask ) !== false ) {
						$faith_hope_content = preg_replace(
							'/(\<p\>\s*)?' . $faith_hope_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$faith_hope_content
						);
					}
					faith_hope_show_layout( $faith_hope_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
