<div class="front_page_section front_page_section_googlemap<?php
	$faith_hope_scheme = faith_hope_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $faith_hope_scheme ) && ! faith_hope_is_inherit( $faith_hope_scheme ) ) {
		echo ' scheme_' . esc_attr( $faith_hope_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( faith_hope_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( faith_hope_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$faith_hope_css      = '';
		$faith_hope_bg_image = faith_hope_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $faith_hope_bg_image ) ) {
			$faith_hope_css .= 'background-image: url(' . esc_url( faith_hope_get_attachment_url( $faith_hope_bg_image ) ) . ');';
		}
		if ( ! empty( $faith_hope_css ) ) {
			echo ' style="' . esc_attr( $faith_hope_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$faith_hope_anchor_icon = faith_hope_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$faith_hope_anchor_text = faith_hope_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $faith_hope_anchor_icon ) || ! empty( $faith_hope_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $faith_hope_anchor_icon ) ? ' icon="' . esc_attr( $faith_hope_anchor_icon ) . '"' : '' )
									. ( ! empty( $faith_hope_anchor_text ) ? ' title="' . esc_attr( $faith_hope_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$faith_hope_layout = faith_hope_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $faith_hope_layout );
		if ( faith_hope_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' faith-hope-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$faith_hope_css      = '';
			$faith_hope_bg_mask  = faith_hope_get_theme_option( 'front_page_googlemap_bg_mask' );
			$faith_hope_bg_color_type = faith_hope_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $faith_hope_bg_color_type ) {
				$faith_hope_bg_color = faith_hope_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $faith_hope_bg_color_type ) {
				$faith_hope_bg_color = faith_hope_get_scheme_color( 'bg_color', $faith_hope_scheme );
			} else {
				$faith_hope_bg_color = '';
			}
			if ( ! empty( $faith_hope_bg_color ) && $faith_hope_bg_mask > 0 ) {
				$faith_hope_css .= 'background-color: ' . esc_attr(
					1 == $faith_hope_bg_mask ? $faith_hope_bg_color : faith_hope_hex2rgba( $faith_hope_bg_color, $faith_hope_bg_mask )
				) . ';';
			}
			if ( ! empty( $faith_hope_css ) ) {
				echo ' style="' . esc_attr( $faith_hope_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $faith_hope_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$faith_hope_caption     = faith_hope_get_theme_option( 'front_page_googlemap_caption' );
			$faith_hope_description = faith_hope_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $faith_hope_caption ) || ! empty( $faith_hope_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $faith_hope_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $faith_hope_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $faith_hope_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $faith_hope_caption, 'faith_hope_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $faith_hope_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $faith_hope_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $faith_hope_description ), 'faith_hope_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $faith_hope_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$faith_hope_content = faith_hope_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $faith_hope_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $faith_hope_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $faith_hope_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $faith_hope_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $faith_hope_content, 'faith_hope_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $faith_hope_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $faith_hope_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! faith_hope_exists_trx_addons() ) {
						faith_hope_customizer_need_trx_addons_message();
					} else {
						faith_hope_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $faith_hope_layout && ( ! empty( $faith_hope_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
