<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package FAITH HOPE
 * @since FAITH HOPE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$faith_hope_copyright_scheme = faith_hope_get_theme_option( 'copyright_scheme' );
if ( ! empty( $faith_hope_copyright_scheme ) && ! faith_hope_is_inherit( $faith_hope_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $faith_hope_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$faith_hope_copyright = faith_hope_get_theme_option( 'copyright' );
			if ( ! empty( $faith_hope_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$faith_hope_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $faith_hope_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$faith_hope_copyright = faith_hope_prepare_macros( $faith_hope_copyright );
				// Display copyright
				echo wp_kses( nl2br( $faith_hope_copyright ), 'faith_hope_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
