<?php
/**
 * The template to display default site footer
 *
 * @package FAITH HOPE
 * @since FAITH HOPE 1.0.10
 */

$faith_hope_footer_id = faith_hope_get_custom_footer_id();
$faith_hope_footer_meta = get_post_meta( $faith_hope_footer_id, 'trx_addons_options', true );
if ( ! empty( $faith_hope_footer_meta['margin'] ) ) {
	faith_hope_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( faith_hope_prepare_css_value( $faith_hope_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $faith_hope_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $faith_hope_footer_id ) ) ); ?>
						<?php
						$faith_hope_footer_scheme = faith_hope_get_theme_option( 'footer_scheme' );
						if ( ! empty( $faith_hope_footer_scheme ) && ! faith_hope_is_inherit( $faith_hope_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $faith_hope_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'faith_hope_action_show_layout', $faith_hope_footer_id );
	?>
</footer><!-- /.footer_wrap -->
