<?php
/**
 * The template to display the background video in the header
 *
 * @package FAITH HOPE
 * @since FAITH HOPE 1.0.14
 */
$faith_hope_header_video = faith_hope_get_header_video();
$faith_hope_embed_video  = '';
if ( ! empty( $faith_hope_header_video ) && ! faith_hope_is_from_uploads( $faith_hope_header_video ) ) {
	if ( faith_hope_is_youtube_url( $faith_hope_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $faith_hope_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php faith_hope_show_layout( faith_hope_get_embed_video( $faith_hope_header_video ) ); ?></div>
		<?php
	}
}
